Bug 848466 - Review Request: qpdf - Command-line tools and library for transforming PDF files
Review Request: qpdf - Command-line tools and library for transforming PDF files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Trivial
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 12:41 EDT by Jiri Popelka
Modified: 2013-09-09 10:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: qpdf-3.0.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 04:50:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
twaugh: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2012-08-15 12:41:14 EDT
Spec URL: http://jpopelka.fedorapeople.org/qpdf.spec
SRPM URL: http://jpopelka.fedorapeople.org/qpdf-3.0.1-1.fc17.src.rpm

Description:
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.

Fedora Account System Username: jpopelka
Comment 1 Jiri Popelka 2012-08-15 12:45:32 EDT
Marking this ticket as Trivial according to
https://fedoraproject.org/wiki/Package_Review_Process#The_Whiteboard

link to a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4393240

rpmlint output (all warnings are false positives):
qpdf-libs.x86_64: W: spelling-error %description -l en_US linearize -> linear, Earline
qpdf.x86_64: W: spelling-error %description -l en_US pdf -> pd, pf, pd f
qpdf.src: W: spelling-error %description -l en_US pdf -> pd, pf, pd f
Comment 2 Tim Waugh 2012-08-16 09:50:40 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License file installed when any subpackage combination is installed.
See: http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 3 Jiri Popelka 2012-08-16 09:58:46 EDT
> Issues:
> [!]: MUST If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %doc.
> [!]: MUST License file installed when any subpackage combination is
> installed.

The license file (Artistic-2.0) is included in qpdf-libs.
%files libs
%doc README TODO ChangeLog Artistic-2.0

And because the main package (and -devel subpackage) require the -libs subpackage the license file is always installed.
Comment 4 Tim Waugh 2012-08-16 11:15:25 EDT
Oh, the first of those should have been a pass, sorry.

[+]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

How about the doc subpackage though? Should the doc subpackage require qpdf-libs?
Comment 5 Jiri Popelka 2012-08-16 11:50:48 EDT
The -doc subpackage doesn't contain any binary or source code so my personal view is that no. But I've added the requirement to comply with the second MUST.

Spec URL: http://jpopelka.fedorapeople.org/qpdf.spec
SRPM URL: http://jpopelka.fedorapeople.org/qpdf-3.0.1-2.fc17.src.rpm
Comment 6 Tim Waugh 2012-08-16 12:01:25 EDT
Thanks. ACCEPT
Comment 7 Jiri Popelka 2012-08-16 12:09:21 EDT
New Package SCM Request
=======================
Package Name: qpdf
Short Description: Command-line tools and library for transforming PDF files
Owners: jpopelka twaugh
Comment 8 Jon Ciesla 2012-08-16 12:15:44 EDT
Git done (by process-git-requests).
Comment 9 Jiri Popelka 2012-10-08 06:28:50 EDT
Package Change Request
======================
Package Name: qpdf
New Branches: f17 f18
Owners: jpopelka twaugh

Other fedora branches have been requested in bug #863816.
Comment 10 Jason Tibbitts 2012-10-08 12:27:49 EDT
Git done (by process-git-requests).
Comment 11 Jiri Popelka 2013-09-09 06:53:56 EDT
Package Change Request
======================
Package Name: qpdf
New Branches: el6
Owners: jpopelka twaugh

EPEL-6 branch has been requested in bug #1004710.
Comment 12 Jon Ciesla 2013-09-09 08:05:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.